#
# spec file for package chipmunk (Version 1.4)
# 
# Copyright  (c)  2001  SuSE GmbH  Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
# 
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  readline readline-devel tetex
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gppshare grep groff gzip kbd less libtool libz m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline readline-devel rpm sendmail sh-utils shadow strace syslogd sysvinit te_ams te_latex tetex texinfo textutils timezone unzip util-linux vim

Name:         chipmunk
Copyright:    1999 - not specified
Group:        Development/Debuggers
Provides:     chipmunk 
Autoreqprov:  on
Version:      1.4
Release:      366
Summary:      A language for hardware manipulation tasks
Source:       chipmunk-%{version}.tar.gz
Patch0:       chipmunk-%{version}.patch
Patch1:       chipmunk-%{version}-ia64.patch
BuildRoot:    %{_tmppath}/%{name}-build

%description
Chipmunk is a language for writing short programs to perform
application specific hardware manipulation tasks.
It is specifically good at debugging hardware because your
can interactively search for good ways to access your hardware, and
then record it in a macro as documentation and fast repetition.
Documentation: /usr/share/doc/packages/chipmunk.

Authors:
--------
    R.E. Wolff <R.E.Wolff@et.tudelft.nl>
    R.D.L. Stout <stout@dutecai.et.tudelft.nl>

SuSE series: ap

%prep
%setup
%patch0
%patch1

%build
make
latex chipmunk
latex chipmunk
dvips chipmunk
gzip -f chipmunk.ps

%install
install -d -m 755 $RPM_BUILD_ROOT/usr/bin/
install -d -m 755 $RPM_BUILD_ROOT/usr/lib/chipmunk/
#
install -s -m 755 chipmunk $RPM_BUILD_ROOT/usr/bin/
install -m 755 init.mac $RPM_BUILD_ROOT/usr/lib/chipmunk/
install -m 755 compat.mac $RPM_BUILD_ROOT/usr/lib/chipmunk/

%files
/usr/bin/chipmunk
/usr/lib/chipmunk
%doc README TODO chipmunk.dvi chipmunk.eps chipmunk.ps.gz

%clean
rm -rf $RPM_BUILD_ROOT

%changelog -n chipmunk
* Mon Jun 18 2001 - pmladek@suse.cz
- package installs init.mac and compat.mac from now
- chipmunk is inicialized by init.mac and compat.mac from now
* Wed May 23 2001 - schwab@suse.de
- Use new readline interface.
- Don't define STRERROR_DEF_MISSING, include <string.h> instead.
* Fri May 18 2001 - pmladek@suse.cz
- fixed to compile on ia64:
  * define IN_OUT_INSTRUCTIONS only on i386
  * compiled with CONFIG_OPTIONS=-DOLD_READLINE
- fixed cast warnings and include files on ia64
* Fri Feb 23 2001 - ro@suse.de
- added readline/readline-devel to neededforbuild (split from bash)
* Thu May 18 2000 - vinil@suse.cz
- sorted in group
- /usr/doc -> /usr/share/doc in description fixed
* Tue Apr 04 2000 - vinil@suse.cz
- buildroot added
* Tue Jan 18 2000 - ro@suse.de
- specfile cleanup
* Tue Dec 14 1999 - ro@suse.de
- fixed to build on alpha
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Tue Sep 22 1998 - ro@suse.de
- changed SignalHandler to __sighandler_t (should work for both libcs)
